WireMock
action Wiremock

# delete_mappings

Deletes a list of mappings

Run it now
View details

Type | action
Module | chaoswm.actions
Name | delete_mappings
Return | list

Usage

JSON

    {
      "name": "delete-mappings",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "delete_mappings",
        "arguments": {
          "filter": []
        }
      }
    }

YAML

    name: delete-mappings
    provider:
      arguments:
        filter: []
      func: delete_mappings
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | list |  | Yes | Filter | Servers to remove

Returns the list of ids of the mappings deleted

Signature

    def delete_mappings(
            filter: List[Any],
            configuration: Dict[str, Dict[str, str]] = None) -> List[Any]:
        pass

## Related starters

- WireMock
  utils Wiremock

  ## `check_configuration`

  Check configuration contains valid WireMock settings
- WireMock
  action Wiremock

  ## `down`

  Set a list of services down
- WireMock
  utils Wiremock

  ## `can_connect_to`

  Test a connection to a host/port